Skip to content
Amplify APIReference

Search Multiple GeoLocation Terms

POST/locations/search/multiple
OB-TOKEN-V1<token>

Token obtained from the Obtain a token endpoint or the Amplify API token page. Valid for 30 days.

In: header

Request Body

application/json

Response Body

application/json

curl -X POST "https://example.com/locations/search/multiple" \  -H "Content-Type: application/json" \  -d '{    "searchItems": [      {        "include": [          "Country"        ],        "term": "France",        "limit": 100,        "exactMatch": true      },      {        "include": [          "Country"        ],        "term": "Belgium",        "limit": 100,        "exactMatch": true      },      {        "include": [          "Region"        ],        "term": "BW",        "limit": 100,        "exactMatch": true      }    ],    "locationsVersion": "V2"  }'
{  "successes": [    {      "searchItem": {        "term": "string",        "limit": 0,        "include": [          "string"        ],        "exactMatch": true      },      "geoLocations": [        {          "id": "string",          "geoType": "string",          "name": "string",          "canonicalName": "string",          "code": "string"        }      ]    }  ],  "failures": [    {      "searchItem": {        "term": "string",        "limit": 0,        "include": [          "string"        ],        "exactMatch": true      },      "failureReasons": [        "string"      ]    }  ],  "successesCount": 0,  "failuresCount": 0}